<script setup lang="ts">
import { navigate } from 'astro:transitions/client';
import {
  counterStore,
  increaseCounter,
  decreaseCounter,
} from '@stores/example/navigate_with_store/counter';
import { useStore } from '@nanostores/vue';

const counter = useStore(counterStore);
const nv = () => {
  navigate('/example/navigate_with_store/react');
};
</script>

<template>
  <div class="counter">
    <div class="inline-flex">
      <button
        type="button"
        @click="nv"
      >To React</button>
      <button
        type="button"
        @click="decreaseCounter"
      >-</button>
      <div>{{ counter.count }}</div>
      <button
        type="button"
        @click="increaseCounter"
      >+</button>
    </div>
  </div>
</template>

<style>
.inline-flex {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  gap: 1em;
}
</style>
